### Method

# Gimp Drawable edit_stroke_item

#### Declaration [src]

    gboolean
    gimp_drawable_edit_stroke_item (
      GimpDrawable* drawable,
      GimpItem* item
    )

#### Description [src]

Stroke the specified item

This procedure strokes the specified item, painting along its outline (e.g. along a path, or along a channel’s boundary), with the active paint method and brush, or using a plain line with configurable properties.

This procedure is affected by the following context setters: gimp_context_set_opacity(), gimp_context_set_paint_mode(), gimp_context_set_paint_method(), gimp_context_set_stroke_method(), gimp_context_set_foreground(), `gimp_context_set_brush()` and all brush property settings, `gimp_context_set_gradient()` and all gradient property settings, `gimp_context_set_line_width()` and all line property settings, gimp_context_set_antialias().

Available since: | 2.10

#### Parameters

`item` | `GimpItem`
| The item to stroke.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| TRUE on success.